CVE-2002-0272
CVSS10.0
发布时间 :2002-05-31 00:00:00
修订时间 :2016-10-17 22:18:04
NMCOS    

[原文]Buffer overflows in mpg321 before 0.2.9 allows local and possibly remote attackers to execute arbitrary code via a long URL to (1) a command line option, (2) an HTTP request, or (3) an FTP request.


[CNNVD]MPG321文件名ArgV缓冲区溢出漏洞(CNNVD-200205-112)

        Mpg321 0.2.9之前的版本存在缓冲区溢出漏洞。本地攻击者,可能还包括远程攻击者可以借助(1)命令行选项,(2)HTTP请求,或(3)FTP请求的超长URL执行任意代码。

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:mpg321:mpg321:0.2.3
cpe:/a:mpg321:mpg321:0.2.2
cpe:/a:mpg321:mpg321:0.2.9

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0272
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0272
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200205-112
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=101366518310823&w=2
(UNKNOWN)  BUGTRAQ  20020213 Re: mpg321
http://marc.info/?l=vuln-dev&m=101355590918475&w=2
(UNKNOWN)  VULN-DEV  20020212 mpg321
http://sourceforge.net/project/shownotes.php?release_id=79237
(VENDOR_ADVISORY)  CONFIRM  http://sourceforge.net/project/shownotes.php?release_id=79237
http://www.securityfocus.com/bid/4091
(UNKNOWN)  BID  4091

- 漏洞信息

MPG321文件名ArgV缓冲区溢出漏洞
危急 缓冲区溢出
2002-05-31 00:00:00 2005-10-20 00:00:00
本地  
        Mpg321 0.2.9之前的版本存在缓冲区溢出漏洞。本地攻击者,可能还包括远程攻击者可以借助(1)命令行选项,(2)HTTP请求,或(3)FTP请求的超长URL执行任意代码。

- 公告与补丁

        RedHat has strongly suggested upgrading to the newest available version.
        mpg321 mpg321 0.2.2
        
        mpg321 mpg321 0.2.3
        
        mpg321 mpg321 0.2.9
        

- 漏洞信息

14342
mpg321 URL Processing Overflow
Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-02-12 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

MPG321 File Name ArgV Buffer Overflow Vulnerability
Boundary Condition Error 4091
No Yes
2002-02-12 12:00:00 2009-07-11 10:56:00
This vulnerability was announced by -l0rt- <simon@snosoft.com>.

- 受影响的程序版本

mpg321 mpg321 0.2.9
+ RedHat Linux 7.2
mpg321 mpg321 0.2.3
+ RedHat Linux 7.2
mpg321 mpg321 0.2.2
- Caldera OpenLinux Server 3.1.1
- Caldera OpenLinux Workstation 3.1.1
- Debian Linux 2.2 sparc
- Debian Linux 2.2 powerpc
- Debian Linux 2.2 IA-32
- Debian Linux 2.2 arm
- Debian Linux 2.2 alpha
- Debian Linux 2.2 68k
- Mandriva Linux Mandrake 8.1
- Mandriva Linux Mandrake 8.0
- Mandriva Linux Mandrake 7.2
- RedHat Linux 7.2 i386
- RedHat Linux 7.1 i386
- RedHat Linux 7.0 i386
- S.u.S.E. Linux 7.3 i386
- S.u.S.E. Linux 7.2 i386
- S.u.S.E. Linux 7.1 x86
- Slackware Linux 8.0
- Slackware Linux 7.1
- Slackware Linux 7.0
mpg321 mpg321 0.2.10
+ Gentoo Linux
mpg321 mpg321 0.1.5
- Caldera OpenLinux Server 3.1.1
- Caldera OpenLinux Workstation 3.1.1
- Debian Linux 2.2 sparc
- Debian Linux 2.2 powerpc
- Debian Linux 2.2 IA-32
- Debian Linux 2.2 arm
- Debian Linux 2.2 alpha
- Debian Linux 2.2 68k
- Mandriva Linux Mandrake 8.1
- Mandriva Linux Mandrake 8.0
- Mandriva Linux Mandrake 7.2
+ RedHat Linux 7.2 i386
- RedHat Linux 7.1 i386
- RedHat Linux 7.0 i386
- S.u.S.E. Linux 7.3 i386
- S.u.S.E. Linux 7.2 i386
- S.u.S.E. Linux 7.1 x86
- Slackware Linux 8.0
- Slackware Linux 7.1
- Slackware Linux 7.0

- 不受影响的程序版本

mpg321 mpg321 0.2.10
+ Gentoo Linux
mpg321 mpg321 0.1.5
- Caldera OpenLinux Server 3.1.1
- Caldera OpenLinux Workstation 3.1.1
- Debian Linux 2.2 sparc
- Debian Linux 2.2 powerpc
- Debian Linux 2.2 IA-32
- Debian Linux 2.2 arm
- Debian Linux 2.2 alpha
- Debian Linux 2.2 68k
- Mandriva Linux Mandrake 8.1
- Mandriva Linux Mandrake 8.0
- Mandriva Linux Mandrake 7.2
+ RedHat Linux 7.2 i386
- RedHat Linux 7.1 i386
- RedHat Linux 7.0 i386
- S.u.S.E. Linux 7.3 i386
- S.u.S.E. Linux 7.2 i386
- S.u.S.E. Linux 7.1 x86
- Slackware Linux 8.0
- Slackware Linux 7.1
- Slackware Linux 7.0

- 漏洞讨论

mpg321 is a freely available, open source software package for decoding and playing files encoded as mp3's. It is available for the Unix and Linux platforms.

mpg321 may not properly handle file names. It has been reported that a buffer overflow occurs when mpg321 is executed, and excessively long file names are supplied to the program. Though mpg321 is not a setuid program, this could potentially result in a problem if mpg321 is invoked by a setuid program.

- 漏洞利用

Currently the SecurityFocus staff are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com &lt;mailto:vuldb@securityfocus.com&gt;.

- 解决方案

RedHat has strongly suggested upgrading to the newest available version.


mpg321 mpg321 0.2.2

mpg321 mpg321 0.2.3

mpg321 mpg321 0.2.9

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站